Query by multiple transaction ID (batch output)

Response

Variable / ParameterType Format / Max LengthDescription / Example
TranIDinteger, max 20 digitsUnique transaction ID for tracking purpose.
Amount2 decimal points numeric valueThe payment amount
BillingDatedate (YYYY-MM-DD HH:mm:ss)Transaction date
BillingNamealphanumeric, 128 charsBuyer full name
VrfKey32 chars hexadecimal stringThis is the data integrity protection hash string.
StatCodestring of 2-digit numeric00 = Success, 11 = Failure, 22 = Pending
StatNamealphanumericSuccess: captured, settled, authorized, Failure: failed, cancelled, chargeback, release, reject/hold, blocked, ReqCancel, ReqChargeback, Pending: Pending, Unknown
OrderIDalphanumeric, 40 charsMerchant order ID for tracking purpose.
Currency3 chars ISO-4217 currency codeThe payment currency. E.g. MYR, USD, EUR, AUD, SGD, CNY, IDR
ErrorCodealphanumericError code defined by channel for failed transactions only
ErrorDescalphanumericError description defined by channel for failed transactions only
tokenAlphanumeric with symbols up to 50 chars (optional, with req4token=1)Card payment only: if PAN has been tokenized
ccbrandoptional, with req4token=1Card payment only: Visa, MasterCard, AMEX
cclast4optional, 4-digit numeric, with req4token=1Card payment only: Last 4-digit of PAN
cctypeoptional, with req4token=1Card payment only: Credit, Debit, Prepaid
ProcessorResponseCodealphanumericAuthorization response code
ProcessorCvVResponsealphaCredit Card validation response code
SchemeTransactionIDalphanumericTransaction ID provided by CC Schemes.
MerchantAdviceCodenumericMasterCard issuers use the Merchant Advice Code (MAC) in authorization request responses to communicate with merchants about a cardholder's account
ECInumericElectronic Commerce Indicator (ECI) is a value returned by Directory Servers (namely Visa, MasterCard, MyDebit, JCB, and American Express) indicating the outcome of authentication attempted on transactions enforced by 3DS
3DSVersionalphanumericVersion of the 3DS use to authenticate the transaction
ACSTransactionIDalphanumericACS transaction identifier
3DSTransactionIDalphanumeric3DS transactions identifier
TerminalIDalphanumericTerminal ID of the transaction
DbtrAgtAlphanumeric, optional, with req4duitnow=1Debtor BIC code
DbtrAcct_TypeAlphanumeric, optional, with req4duitnow=1Debtor account type
TxnTypeAlphanumeric, optional, with req4duitnow=1Debtor transaction type
ChannelAlphanumeric, optional with fields=channelPayment via Channel

Formula of skey and VrfKey

skey = md5( {domain}{tIDS}{verify_key} )
VrfKey = md5( {Amount}{secret_key}{Domain}{TranID}{StatCode} )
Query Params
string
required

A group of transaction ID, must be URLencoded. concatenated transaction ID with "|" up to 100 items

string
required

Merchant ID in PG system. alphanumeric, max 32 chars

string
required

This is the data integrity protection hash string. 32 chars hexadecimal string

string

optional, URL for POST response. The URL to receive POST response from PG

integer
enum

optional, 1-digit integer. 0 = plain text result (default), 1 = result via POST method

Allowed:
integer
enum

optional, 1-digit integer, apply for type=1 only. 0 = result string with delimiter ( | ), 1 = result in array

Allowed:
integer
enum

optional, 1-digit integer. 0 = No (default), 1 = Yes for more card related information

Allowed:
integer
enum

optional, 1-digit integer. 0 = No (default), 1 = Yes to return TerminalID

Allowed:
integer
enum

optional, 1-digit integer. 0 = No (default), 1 = Yes to return DuitNow extra information

Allowed:
string

optional, predefined string. channel = return Payment via Channel

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json